Get a tag
curl --request GET \
--url https://api.mentionlab.io/api/tags/{id} \
--header 'x-project-id: <x-project-id>'import requests
url = "https://api.mentionlab.io/api/tags/{id}"
headers = {"x-project-id": "<x-project-id>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-project-id': '<x-project-id>'}};
fetch('https://api.mentionlab.io/api/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"project": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"name": "feature",
"color": "#3B82F6",
"queryCount": 5,
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}Tags
Get a tag
Returns a single tag by its id.
GET
/
api
/
tags
/
{id}
Get a tag
Headers
Project ID to specify the project context
Path Parameters
The numeric identifier of the tag to retrieve.
Response
Unique identifier for the tag
Example:
1
The project this tag belongs to
Example:
"a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6"
Name of the tag
Example:
"feature"
Color of the tag in hex format
Example:
"#3B82F6"
Number of queries associated with this tag
Example:
5
ID of the tag group node this tag is filed under; null when ungrouped.
Name of the tag group node this tag is filed under; null when ungrouped.